[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomFrame.GetControlClassDefaultSize

Gets the default dimensions for a new instance of the class.

## Declaration

Source position: forms.pp line 336

`public class function TCustomFrame.GetControlClassDefaultSize: TSize; override;`

## Function result

TSize type with the width and height for the new class instance.

## Description

GetControlClassDefaultSize is an overridden method in TCustomFrame, and does not call the inherited method. The return value is a TSize instance with the width and height for the new class instance in its X and Y members. The default dimensions in TCustomFrame are 320 pixels wide (X member) by 240 pixels tall (Y member).

## See also

TScrollingWinControl.GetControlClassDefaultSize |  | Returns the default dimensions for new instances of the class.